1. Booking Meeting Intelligence
Jicoo Developer Potal
  • Create powerful apps with Jicoo's API
  • Quick start
  • Errors
  • Versioning
  • Types
  • API Reference Overview
  • Authentication
  • Guide
    • How to use webhook
    • How to use Account integration
  • Guide(Japanese)
    • アカウント連携の使い方
    • Webhookの使い方
    • ホストの優先度を更新する方法
    • Jicoo MCP Serverの使い方
    • Jicoo MCP サーバ セットアップガイド
  • API Reference
    • Jicoo API
    • Webhook Schema
      • Webhook schema
      • event property
      • createdAt property
      • object property
      • contact property
      • answers property
      • answers items property
      • tracking property
    • Booking
      • List Bookings
      • Get Booking
      • Cancel Booking
      • Reschedule Booking
      • Create Booking
      • Update Booking
      • Get Booking Contacts
    • Schedule
      • Update Schedule
      • Create Schedule
      • List Schedules
      • Delete Schedule
    • Availability
      • List User Availability Calendars
      • Get User Availability Calendar
    • Oraganization
      • User
        • List Organization Users
        • Delete Organization User
        • Get Organization User
        • Update Organization User
      • Invitation
        • Create Organiztion Invitation
        • List Organization Invitations
        • Get Organization Invitation
        • Delete Organiztion Invitation
      • Get Organization Team
    • Event Types
      • Get Event Type
      • List Event Types
      • List Event Type Hosts
      • Get Event Type Available Schedules
      • Account Integration
      • Update Event Type Host
      • Delete Event Type Host
      • Create Event Type Host
      • Delete Event Type Host Assign Rule
      • Update Event Type Host Assign Rule
      • Create Event Type Host Assign Rule
      • List Event Type Host Assign Rules
      • Update an event type
      • Create an event type
      • Delete an event type
    • Webhook Endpoints
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
    • Booking Meeting Intelligence
      • List recordings for a booking
        GET
      • List transcripts for a booking
        GET
      • List recaps for a booking
        GET
  • Schemas
    • Booking
    • OrganizationUser
    • OrganizationInvitation
    • UserAvailabilityCalendar
    • OrganizationTeam
    • EventType
    • Host
    • Pagination
    • AvailableSchedule
    • EventTypeUpdateRequest
    • EventTypeCreateRequest
    • BookingRecapSummary
    • BookingTranscriptSpeakerTimelineSegment
    • BookingRecording
    • BookingRecapRisk
    • EventTypeDetail
    • EventTypeUpdateLocation
    • GeneratedEventTypeUpdateRequest
    • EventTypeCreateEventType
    • BookingTranscript
    • BookingRecordingResponse
    • WebhookEndpointPublicCreateBody
    • WebhookEndpointPublicUpdateBody
    • EventTypeUserUpdate
    • ErrorEnvelope
    • EventTypeCreateLocation
    • BookingRecap
    • BookingTranscriptResponse
    • EventTypeUserCreate
    • EventTypeUpdateForm
    • BookingRecapResponse
    • WebhookEndpointCreateResponse
    • EventTypeUpdateWorkflow
    • EventTypeUpdateHostAssignRule
    • WebhookEndpoint
    • EventTypeCalendarCreateBody
    • EventTypeCalendarCreate
    • EventTypeNotification
    • EventTypeSettingCreateBody
    • EventFormCreateBody
    • EventTypeTransparencyKeywordCreateBody
    • EventTypeCreateHostAssignRule
    • Schedule
    • EmptySuccessResponse
    • ErrorResponse
    • Booking Contact
    • HostAssignRule
  1. Booking Meeting Intelligence

List transcripts for a booking

GET
/v1/bookings/{bookingId}/transcripts
Returns all transcript recap items linked to the booking, ordered by createdAt descending.
This corresponds to the public API contract referred to internally as
GET /v1/bookings/{bookingId}/transcripts.

Request

Authorization
API Key
Add parameter in header
x-jicoo-api-key
Example:
x-jicoo-api-key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/bookings//transcripts' \
--header 'x-jicoo-api-key: <api-key>'

Responses

🟢200
application/json
Transcript list returned successfully.
Bodyapplication/json

Example
{
    "data": [
        {
            "createdAt": "2026-04-18T02:30:00.000Z",
            "updatedAt": "2026-04-18T02:45:00.000Z",
            "transcription": "[00:00] Alice: hello",
            "normalizedLines": "[{\"text\":\"hello\"}]",
            "speakerTimeline": [
                {
                    "participantId": null,
                    "name": "Alice",
                    "email": null,
                    "startAtSeconds": 0,
                    "endAtSeconds": 10,
                    "isHost": null
                }
            ],
            "isShareTranscription": true
        }
    ]
}
🟠401UnauthorizedError
🟠403ForbiddenError
🟠404NotFoundError
🟠405MethodNotAllowedError
🔴500InternalServerError
Modified at 2026-04-22 17:45:54
Previous
List recordings for a booking
Next
List recaps for a booking
Built with